C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     LDM_EXTEND_INIT    **
C****************************
C
C Purpose: Initialise KDM data set for extended LDM parameters
C
      SUBROUTINE LDM_EXTEND_INIT (IERR)

      INCLUDE 'implicit_none.finc'
C
C Purpose: Initialise KDM data set for extended LDM parameters
C
C Author:  John W. Campbell, December 1995
C
C
C **** LDM SERVICE ROUTINE ONLY ****
C
C Arguments: 
C
      INTEGER IERR

C IERR   (W)  Error flag =0  OK
C                        =-1 Cannot allocate memory
C                        =1  (should not occur - programming error)
C
C====== Parameter statements
C 

C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      INCLUDE 'ldm_extended.finc'
      EXTERNAL LDM_BDAT
C
C====== FUNCTION TYPES:
C
      INTEGER KDMSTR
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IF (EXTENDED) RETURN
      CALL KDMF_INIT (LDM_MAXPK, LDM_MAXPL, KDMSTR(' '), 1,
     +                KDMSTR(' '), 1, KDMSTR('pack'), 4,
     +                KDMSTR('plate'), 5, KDX_EXT, IERR)
      EXTENDED = .TRUE.
      RETURN
      END
